﻿-- Author      : MyHome
-- Create Date : 1/7/2008 6:54:22 AM

local B = AceLibrary("Babble-Boss-2.2")
local Z = AceLibrary("Babble-Zone-2.2")
local F = AceLibrary("Babble-Faction-2.2")
local C = AceLibrary("Babble-Class-2.2")
local P = AceLibrary("Babble-SpellTree-2.2")
local I = AceLibrary("Babble-Inventory-2.2")
local L = AceLibrary("AceLocale-2.2"):new("Whats")

WhatsMobInfo = {
	[0] = L["Intance"],
	[1] = {
		[0] = Z["Eastern Kingdoms"],
		[1] = {
			[0] = Z["The Deadmines"],
			[1] = {
				[0] = B["Miner Johnson"],
			},
			[2] = {
				[0] = B["Marisa du'Paige"],
			},
			[3] = {
				[0] = B["Rhahk'Zor"],
			},
			[4] = {
				[0] = B["Sneed"],
			},
			[5] = {
				[0] = B["Sneed's Shredder"],
			},
			[6] = {
				[0] = B["Gilnid"],
			},
			[7] = {
				[0] = B["Mr. Smite"],
			},
			[8] = {
				[0] = B["Brainwashed Noble"],
			},
			[9] = {
				[0] = B["Cookie"],
			},
			[10] = {
				[0] = B["Captain Greenskin"],
			},
			[11] = {
				[0] = B["Edwin VanCleef"],
			},
			[12] = {
				[0] = L["Trash"],
			},
		},
		[2] = {
			[0] = Z["Shadowfang Keep"],
			[1] = {
				[0] = L["Rethilgore"],
			},
			[2] = {
				[0] = B["Razorclaw the Butcher"],
			},
			[3] = {
				[0] = B["Baron Silverlaine"],
			},
			[4] = {
				[0] = B["Commander Springvale"],
			},
			[5] = {
				[0] = B["Deathsworn Captain"],
			},
			[6] = {
				[0] = B["Odo the Blindwatcher"],
			},
			[7] = {
				[0] = B["Fenrus the Devourer"],
			},
			[8] = {
				[0] = B["Wolf Master Nandos"],
			},
			[9] = {
				[0] = L["Sever"],
			},
			[10] = {
				[0] = B["Archmage Arugal"],
			},
			[11] = {
				[0] = L["Trash"],
			},
		},
		[3] = {
			[0] = Z["The Stockade"],
			[1] = {
				[0] = B["Bruegal Ironknuckle"],
			},
		},
		[4] = {
			[0] = Z["Gnomeregan"],
			[1] = {
				[0] = B["Grubbis"],
			},
			[2] = {
				[0] = B["Viscous Fallout"],
			},
			[3] = {
				[0] = B["Crowd Pummeler 9-60"],
			},
			[4] = {
				[0] = B["Electrocutioner 6000"],
			},
			[5] = {
				[0] = B["Dark Iron Ambassador"],
			},
			[6] = {
				[0] = B["Mekgineer Thermaplugg"],
			},
			[7] = {
				[0] = L["Trash"],
			},
		},
		[5] = {
			[0] = Z["Scarlet Monastery"],
			[1] = {
				[0] = B["Interrogator Vishas"],
			},
			[2] = {
				[0] = B["Fallen Champion"],
			},
			[3] = {
				[0] = B["Azshir the Sleepless"],
			},
			[4] = {
				[0] = B["Ironspine"],
			},
			[5] = {
				[0] = B["Bloodmage Thalnos"],
			},
			[6] = {
				[0] = L["Scorn"],
			},
			[7] = {
				[0] = B["Houndmaster Loksey"],
			},
			[8] = {
				[0] = B["Arcanist Doan"],
			},
			[9] = {
				[0] = B["Herod"],
			},
			[10] = {
				[0] = B["High Inquisitor Fairbanks"],
			},
			[11] = {
				[0] = B["Scarlet Commander Mograine"],
			},
			[12] = {
				[0] = B["High Inquisitor Whitemane"],
			},
			[13] = {
				[0] = L["Trash"],
			},
		},
		[6] = {
			[0] = Z["Uldaman"],
			[1] = {
				[0] = B["Revelosh"],
			},
			[2] = {
				[0] = B["Ancient Stone Keeper"],
			},
			[3] = {
				[0] = B["Digmaster Shovelphlange"],
			},
			[4] = {
				[0] = B["Ironaya"],
			},
			[5] = {
				[0] = B["Baelog"],
			},
			[6] = {
				[0] = B["Galgann Firehammer"],
			},
			[7] = {
				[0] = B["Grimlok"],
			},
			[8] = {
				[0] = B["Archaedas"],
			},
			[9] = {
				[0] = L["Trash"],
			},
		},
		[7] = {
			[0] = Z["The Temple of Atal'Hakkar"],
			[1] = {
				[0] = L["Spawn of Hakkar"],
			},
			[2] = {
				[0] = B["Atal'alarion"],
			},
			[3] = {
				[0] = L["Troll Miniboss"],
			},
			[4] = {
				[0] = L["4 Draons"],
			},
			[5] = {
				[0] = B["Jammal'an the Prophet"],
			},
			[6] = {
				[0] = B["Ogom the Wretched"],
			},
			[7] = {
				[0] = B["Avatar of Hakkar"],
			},
			[8] = {
				[0] = B["Shade of Eranikus"],
			},
			[9] = {
				[0] = L["Trash"],
			},
		},
		[8] = {
			[0] = Z["Blackrock Depths"],
			[1] = {
				[0] = L["Overmaster Pyron"],
			},
			[2] = {
				[0] = B["Bael'Gar"],
			},
			[3] = {
				[0] = B["High Interrogator Gerstahn"],
			},
			[4] = {
				[0] = L["Theldren"],
			},
			[5] = {
				[0] = B["Eviscerator"],
			},
			[6] = {
				[0] = B["Grizzle"],
			},
			[7] = {
				[0] = B["Ok'thor the Breaker"],
			},
			[8] = {
				[0] = B["Hedrum the Creeper"],
			},
			[9] = {
				[0] = B["Anub'shiah"],
			},
			[10] = {
				[0] = B["Gorosh the Dervish"],
			},
			[11] = {
				[0] = B["Houndmaster Grebmar"],
			},
			[12] = {
				[0] = B["Lord Roccor"],
			},
			[13] = {
				[0] = B["Pyromancer Loregrain"],
			},
			[14] = {
				[0] = B["Verek"],
			},
			[15] = {
				[0] = B["Warder Stilgiss"],
			},
			[16] = {
				[0] = L["Watchman Doomgrip"],
			},
			[17] = {
				[0] = B["Fineous Darkvire"],
			},
			[18] = {
				[0] = B["Lord Incendius"],
			},
			[19] = {
				[0] = B["General Angerforge"],
			},
			[20] = {
				[0] = B["Golem Lord Argelmach"],
			},
			[21] = {
				[0] = B["Hurley Blackbreath"],
			},
			[22] = {
				[0] = B["Ribbly Screwspigot"],
			},
			[23] = {
				[0] = B["Plugger Spazzring"],
			},
			[24] = {
				[0] = B["Phalanx"],
			},
			[25] = {
				[0] = B["Ambassador Flamelash"],
			},
			[26] = {
				[0] = B["Panzor the Invincible"],
			},
			[27] = {
				[0] = L["The Seven Dwarves"],
			},
			[28] = {
				[0] = B["Magmus"],
			},
			[29] = {
				[0] = B["Princess Moira Bronzebeard"],
			},
			[30] = {
				[0] = B["Emperor Dagran Thaurissan"],
			},
			[31] = {
				[0] = L["Trash"],
			},
		},
		[9] = {
			[0] = Z["Stratholme"],
			[1] = {
				[0] = B["Skul"],
			},
			[2] = {
				[0] = B["Stonespine"],
			},
			[3] = {
				[0] = B["Hearthsinger Forresten"],
			},
			[4] = {
				[0] = B["The Unforgiven"],
			},
			[5] = {
				[0] = B["Baroness Anastari"],
			},
			[6] = {
				[0] = B["Magistrate Barthilas"],
			},
			[7] = {
				[0] = B["Maleki the Pallid"],
			},
			[8] = {
				[0] = B["Nerub'enkan"],
			},
			[9] = {
				[0] = B["Postmaster Malown"],
			},
			[10] = {
				[0] = L["Balzaphon"],
			},
			[11] = {
				[0] = B["Ramstein the Gorger"],
			},
			[12] = {
				[0] = B["Timmy the Cruel"],
			},
			[13] = {
				[0] = B["Cannon Master Willey"],
			},
			[14] = {
				[0] = B["Archivist Galford"],
			},
			[15] = {
				[0] = B["Balnazzar"],
			},
			[16] = {
				[0] = L["Jarien"],
			},
			[17] = {
				[0] = L["Sothos"],
			},
			[18] = {
				[0] = B["Baron Rivendare"],
			},
			[19] = {
				[0] = L["Trash"],
			},
		},
		[10] = {
			[0] = Z["Scholomance"],
			[1] = {
				[0] = B["Kirtonos the Herald"],
			},
			[2] = {
				[0] = B["Jandice Barov"],
			},
			[3] = {
				[0] = B["Marduk Blackpool"],
			},
			[4] = {
				[0] = B["Vectus"],
			},
			[5] = {
				[0] = B["Ras Frostwhisper"],
			},
			[6] = {
				[0] = B["Kormok"],
			},
			[7] = {
				[0] = L["Lord Blackwood"],
			},
			[8] = {
				[0] = B["Rattlegore"],
			},
			[9] = {
				[0] = B["Death Knight Darkreaver"],
			},
			[10] = {
				[0] = L["Named Common"],
			},
			[11] = {
				[0] = B["Darkmaster Gandling"],
			},
			[12] = {
				[0] = L["Trash"],
			},
		},
		[11] = {
			[0] = Z["Lower Blackrock Spire"],
			[1] = {
				[0] = B["Bannok Grimaxe"],
			},
			[2] = {
				[0] = B["Burning Felguard"],
			},
			[3] = {
				[0] = B["Shadow Hunter Vosh'gajin"],
			},
			[4] = {
				[0] = B["Spirestone Battle Lord"],
			},
			[5] = {
				[0] = B["Spirestone Butcher"],
			},
			[6] = {
				[0] = B["Spirestone Lord Magus"],
			},
			[7] = {
				[0] = B["Highlord Omokk"],
			},
			[8] = {
				[0] = B["War Master Voone"],
			},
			[9] = {
				[0] = B["Mor Grayhoof"],
			},
			[10] = {
				[0] = B["Crystal Fang"],
			},
			[11] = {
				[0] = B["Mother Smolderweb"],
			},
			[12] = {
				[0] = B["Urok Doomhowl"],
			},
			[13] = {
				[0] = B["Halycon"],
			},
			[14] = {
				[0] = B["Gizrul the Slavener"],
			},
			[15] = {
				[0] = B["Ghok Bashguud"],
			},
			[16] = {
				[0] = B["Quartermaster Zigris"],
			},
			[17] = {
				[0] = B["Overlord Wyrmthalak"],
			},
			[18] = {
				[0] = L["Trash"],
			},
		},
		[12] = {
			[0] = Z["Upper Blackrock Spire"],
			[1] = {
				[0] = B["Jed Runewatcher"],
			},
			[2] = {
				[0] = B["Pyroguard Emberseer"],
			},
			[3] = {
				[0] = B["Solakar Flamewreath"],
			},
			[4] = {
				[0] = B["Goraluk Anvilcrack"],
			},
			[5] = {
				[0] = B["The Beast"],
			},
			[6] = {
				[0] = B["Lord Valthalak"],
			},
			[7] = {
				[0] = B["Warchief Rend Blackhand"],
			},
			[8] = {
				[0] = B["Gyth"],
			},
			[9] = {
				[0] = B["General Drakkisath"],
			},
			[10] = {
				[0] = L["Trash"],
			},
		},
		[13] = {
			[0] = Z["Molten Core"],
			[1] = {
				[0] = B["Lucifron"],
			},
			[2] = {
				[0] = B["Magmadar"],
			},
			[3] = {
				[0] = B["Gehennas"],
			},
			[4] = {
				[0] = B["Garr"],
			},
			[5] = {
				[0] = B["Baron Geddon"],
			},
			[6] = {
				[0] = B["Shazzrah"],
			},
			[7] = {
				[0] = B["Sulfuron Harbinger"],
			},
			[8] = {
				[0] = B["Golemagg the Incinerator"],
			},
			[9] = {
				[0] = B["Majordomo Executus"],
			},
			[10] = {
				[0] = B["Ragnaros"],
			},
			[11] = {
				[0] = L["Named Common"],
			},
			[12] = {
				[0] = L["Trash"],
			},
		},
		[14] = {
			[0] = Z["Blackwing Lair"],
			[1] = {
				[0] = B["Razorgore the Untamed"],
			},
			[2] = {
				[0] = B["Vaelastrasz the Corrupt"],
			},
			[3] = {
				[0] = B["Broodlord Lashlayer"],
			},
			[4] = {
				[0] = B["Firemaw"],
			},
			[5] = {
				[0] = B["Ebonroc"],
			},
			[6] = {
				[0] = B["Flamegor"],
			},
			[7] = {
				[0] = B["Chromaggus"],
			},
			[8] = {
				[0] = B["Nefarian"],
			},
			[9] = {
				[0] = L["Trash"],
			},
		},
		[15] = {
			[0] = Z["Zul'Gurub"],
			[1] = {
				[0] = B["High Priestess Jeklik"],
			},
			[2] = {
				[0] = B["High Priest Venoxis"],
			},
			[3] = {
				[0] = B["High Priestess Mar'li"],
			},
			[4] = {
				[0] = B["Bloodlord Mandokir"],
			},
			[5] = {
				[0] = B["Wushoolay"],
			},
			[6] = {
				[0] = B["Renataki"],
			},
			[7] = {
				[0] = B["Hazza'rah"],
			},
			[8] = {
				[0] = B["Gri'lek"],
			},
			[9] = {
				[0] = B["Wushoolay"],
			},
			[10] = {
				[0] = B["Gahz'ranka"],
			},
			[11] = {
				[0] = B["High Priest Thekal"],
			},
			[12] = {
				[0] = B["High Priestess Arlokk"],
			},
			[13] = {
				[0] = B["Jin'do the Hexxer"],
			},
			[14] = {
				[0] = B["Hakkar"],
			},
			[15] = {
				[0] = L["Trash"],
			},
			[16] = {
				[0] = L["Named Common"],
			},
		},
		[16] = {
			[0] = Z["Naxxramas"],
			[1] = {
				[0] = B["Patchwerk"],
			},
			[2] = {
				[0] = B["Grobbulus"],
			},
			[3] = {
				[0] = B["Gluth"],
			},
			[4] = {
				[0] = B["Thaddius"],
			},
			[5] = {
				[0] = B["Anub'Rekhan"],
			},
			[6] = {
				[0] = B["Grand Widow Faerlina"],
			},
			[7] = {
				[0] = B["Maexxna"],
			},
			[8] = {
				[0] = B["Instructor Razuvious"],
			},
			[9] = {
				[0] = B["Gothik the Harvester"],
			},
			[10] = {
				[0] = B["The Four Horsemen"],
			},
			[11] = {
				[0] = B["Noth the Plaguebringer"],
			},
			[12] = {
				[0] = B["Heigan the Unclean"],
			},
			[13] = {
				[0] = B["Loatheb"],
			},
			[14] = {
				[0] = B["Sapphiron"],
			},
			[15] = {
				[0] = B["Kel'Thuzad"],
			},
			[16] = {
				[0] = L["Named Common"],
			},
			[17] = {
				[0] = L["Trash"],
			},
		},
		[17] = {
			[0] = Z["Karazhan"],
			[1] = {
				[0] = B["Attumen the Huntsman"],
			},
			[2] = {
				[0] = B["Hyakiss the Lurker"],
			},
			[3] = {
				[0] = B["Rokad the Ravager"],
			},
			[4] = {
				[0] = B["Shadikith the Glider"],
			},
			[5] = {
				[0] = B["Moroes"],
			},
			[6] = {
				[0] = B["Maiden of Virtue"],
			},
			[7] = {
				[0] = B["The Crone"],
			},
			[8] = {
				[0] = B["The Big Bad Wolf"],
			},
			[9] = {
				[0] = B["Romulo & Julianne"],
			},
			[10] = {
				[0] = B["Nightbane"],
			},
			[11] = {
				[0] = B["The Curator"],
			},
			[12] = {
				[0] = B["Terestian Illhoof"],
			},
			[13] = {
				[0] = B["Shade of Aran"],
			},
			[14] = {
				[0] = B["Chess Event"],
			},
			[15] = {
				[0] = B["Netherspite"],
			},
			[16] = {
				[0] = B["Prince Malchezaar"],
			},
			[17] = {
				[0] = L["Trash"],
			},
		},
		[18] = {
			[0] = Z["Zul'Aman"],
			[1] = {
				[0] = B["Nalorakk"],
			},
			[2] = {
				[0] = B["Akil'zon"],
			},
			[3] = {
				[0] = B["Jan'alai"],
			},
			[4] = {
				[0] = B["Halazzi"],
			},
			[5] = {
				[0] = B["Hex Lord Malacrass"],
			},
			[6] = {
				[0] = B["Zul'jin"],
			},
			[7] = {
				[0] = L["Case"],
			},
			[8] = {
				[0] = L["Named Common"],
			},
			[9] = {
				[0] = L["Trash"],
			},
		},
	},
	[2] = {
		[0] = Z["Kalimdor"],
		[1] = {
			[0] = Z["Ragefire Chasm"],
			[1] = {
				[0] = B["Jergosh the Invoker"],
			},
			[2] = {
				[0] = B["Taragaman the Hungerer"],
			},
		},
		[2] = {
			[0] = Z["Wailing Caverns"],
			[1] = {
				[0] = B["Boahn"],
			},
			[2] = {
				[0] = B["Deviate Faerie Dragon"],
			},
			[3] = {
				[0] = B["Kresh"],
			},
			[4] = {
				[0] = B["Lady Anacondra"],
			},
			[5] = {
				[0] = B["Lord Cobrahn"],
			},
			[6] = {
				[0] = B["Lord Pythas"],
			},
			[7] = {
				[0] = B["Lord Serpentis"],
			},
			[8] = {
				[0] = B["Mutanus the Devourer"],
			},
			[9] = {
				[0] = B["Skum"],
			},
			[10] = {
				[0] = B["Trigore the Lasher"],
			},
			[11] = {
				[0] = B["Verdan the Everliving"],
			},
		},
		[3] = {
			[0] = Z["Blackfathom Deeps"],
			[1] = {
				[0] = B["Ghamoo-ra"],
			},
			[2] = {
				[0] = B["Lady Sarevess"],
			},
			[3] = {
				[0] = B["Gelihast"],
			},
			[4] = {
				[0] = B["Old Serra'kis"],
			},
			[5] = {
				[0] = B["Twilight Lord Kelris"],
			},
			[6] = {
				[0] = B["Aku'mai"],
			},
			[7] = {
				[0] = L["Trash"],
			},
		},
		[4] = {
			[0] = Z["Razorfen Kraul"],
			[1] = {
				[0] = B["Earthcaller Halmgar"],
			},
			[2] = {
				[0] = B["Overlord Ramtusk"],
			},
			[3] = {
				[0] = B["Death Speaker Jargba"],
			},
			[4] = {
				[0] = B["Agathelos the Raging"],
			},
			[5] = {
				[0] = B["Blind Hunter"],
			},
			[6] = {
				[0] = B["Charlga Razorflank"],
			},
			[7] = {
				[0] = L["Trash"],
			},
		},
		[5] = {
			[0] = Z["Razorfen Downs"],
			[1] = {
				[0] = B["Tuten'kash"],
			},
			[2] = {
				[0] = B["Glutton"],
			},
			[3] = {
				[0] = B["Mordresh Fire Eye"],
			},
			[4] = {
				[0] = B["Ragglesnout"],
			},
			[5] = {
				[0] = B["Plaguemaw the Rotting"],
			},
			[6] = {
				[0] = B["Amnennar the Coldbringer"],
			},
			[7] = {
				[0] = L["Trash"],
			},
		},
		[6] = {
			[0] = Z["Zul'Farrak"],
			[1] = {
				[0] = B["Dustwraith"],
			},
			[2] = {
				[0] = B["Zerillis"],
			},
			[3] = {
				[0] = B["Gahz'rilla"],
			},
			[4] = {
				[0] = B["Shadowpriest Sezz'ziz"],
			},
			[5] = {
				[0] = B["Chief Ukorz Sandscalp"],
			},
			[6] = {
				[0] = B["Witch Doctor Zum'rah"],
			},
			[7] = {
				[0] = B["Antu'sul"],
			},
			[8] = {
				[0] = L["Named Common"],
			},
		},
		[7] = {
			[0] = Z["Maraudon"],
			[1] = {
				[0] = B["Noxxion"],
			},
			[2] = {
				[0] = B["Lord Vyletongue"],
			},
			[3] = {
				[0] = B["Meshlok the Harvester"],
			},
			[4] = {
				[0] = B["Celebras the Cursed"],
			},
			[5] = {
				[0] = B["Razorlash"],
			},
			[6] = {
				[0] = B["Landslide"],
			},
			[7] = {
				[0] = B["Rotgrip"],
			},
			[8] = {
				[0] = B["Tinkerer Gizlock"],
			},
			[9] = {
				[0] = B["Princess Theradras"],
			},
		},
		[8] = {
			[0] = Z["Dire Maul (East)"],
			[1] = {
				[0] = B["Zevrim Thornhoof"],
			},
			[2] = {
				[0] = B["Hydrospawn"],
			},
			[3] = {
				[0] = B["Lethtendris"],
			},
			[4] = {
				[0] = B["Pimgib"],
			},
			[5] = {
				[0] = B["Pusillin"],
			},
			[6] = {
				[0] = B["Alzzin the Wildshaper"],
			},
			[7] = {
				[0] = B["Isalien"],
			},
			[8] = {
				[0] = L["Trash"],
			},
		},
		[9] = {
			[0] = Z["Dire Maul (North)"],
			[1] = {
				[0] = B["Guard Mol'dar"],
			},
			[2] = {
				[0] = B["Guard Slip'kik"],
			},
			[3] = {
				[0] = B["Guard Fengus"],
			},
			[4] = {
				[0] = B["Stomper Kreeg"],
			},
			[5] = {
				[0] = B["Captain Kromcrush"],
			},
			[6] = {
				[0] = B["Cho'Rush the Observer"],
			},
			[7] = {
				[0] = B["King Gordok"],
			},
			[8] = {
				[0] = B["Knot Thimblejack's Cache"],
			},
			[9] = {
				[0] = L["Gordok Tribute"],
			},
		},
		[10] = {
			[0] = Z["Dire Maul (West)"],
			[1] = {
				[0] = B["Tendris Warpwood"],
			},
			[2] = {
				[0] = B["Magister Kalendris"],
			},
			[3] = {
				[0] = B["Illyanna Ravenoak"],
			},
			[4] = {
				[0] = B["Tsu'zee"],
			},
			[5] = {
				[0] = B["Immol'thar"],
			},
			[6] = {
				[0] = B["Lord Hel'nurath"],
			},
			[7] = {
				[0] = L["Revanchion"],
			},
			[8] = {
				[0] = B["Prince Tortheldrin"],
			},
			[9] = {
				[0] = L["Trash"],
			},
		},
		[11] = {
			[0] = Z["Onyxia's Lair"],
			[1] = {
				[0] = B["Onyxia"],
			},
		},
		[12] = {
			[0] = Z["Ruins of Ahn'Qiraj"],
			[1] = {
				[0] = B["Kurinnaxx"],
			},
			[2] = {
				[0] = L["Captains"],
			},
			[3] = {
				[0] = B["General Rajaxx"],
			},
			[4] = {
				[0] = B["Lieutenant General Andorov"],
			},
			[5] = {
				[0] = B["Buru the Gorger"],
			},
			[6] = {
				[0] = B["Ayamiss the Hunter"],
			},
			[7] = {
				[0] = B["Moam"],
			},
			[8] = {
				[0] = B["Ossirian the Unscarred"],
			},
			[9] = {
				[0] = L["Trash"],
			},
		},
		[13] = {
			[0] = Z["Temple of Ahn'Qiraj"],
			[1] = {
				[0] = B["The Prophet Skeram"],
			},
			[2] = {
				[0] = B["Lord Kri"],
			},
			[3] = {
				[0] = B["Princess Yauj"],
			},
			[4] = {
				[0] = B["Vem"],
			},
			[5] = {
				[0] = B["The Bug Family"],
			},
			[6] = {
				[0] = B["Battleguard Sartura"],
			},
			[7] = {
				[0] = B["Fankriss the Unyielding"],
			},
			[8] = {
				[0] = B["Viscidus"],
			},
			[9] = {
				[0] = B["Princess Huhuran"],
			},
			[10] = {
				[0] = B["Emperor Vek'nilash"],
			},
			[11] = {
				[0] = B["Emperor Vek'lor"],
			},
			[12] = {
				[0] = B["Ouro"],
			},
			[13] = {
				[0] = B["C'Thun"],
			},
			[14] = {
				[0] = L["Trash"],
			},
		},
		[14] = {
			[0] = Z["Old Hillsbrad Foothills"],
			[1] = {
				[0] = B["Lieutenant Drake"],
			},
			[2] = {
				[0] = B["Captain Skarloc"],
			},
			[3] = {
				[0] = B["Epoch Hunter"],
			},
			[4] = {
				[0] = L["Trash"],
			},
			[5] = {
				[0] = L["Gems"],
				["OH"] = true
			},
			["hard"] = true,
		},
		[15] = {
			[0] = Z["The Black Morass"],
			[1] = {
				[0] = B["Chrono Lord Deja"],
			},
			[2] = {
				[0] = B["Temporus"],
			},
			[3] = {
				[0] = B["Aeonus"],
			},
			[4] = {
				[0] = L["Trash"],
			},
			[5] = {
				[0] = L["Gems"],
				["OH"] = true
			},
			["hard"] = true,
		},
		[16] = {
			[0] = Z["Hyjal Summit"],
			[1] = {
				[0] = B["Rage Winterchill"],
			},
			[2] = {
				[0] = B["Anetheron"],
			},
			[3] = {
				[0] = B["Kaz'rogal"],
			},
			[4] = {
				[0] = B["Azgalor"],
			},
			[5] = {
				[0] = B["Archimonde"],
			},
			[6] = {
				[0] = L["Named Common"],
			},
		},
	},
	[3] = {
		[0] = Z["Outland"],
		[1] = {
			[0] = Z["Hellfire Ramparts"],
			[1] = {
				[0] = B["Watchkeeper Gargolmar"],
			},
			[2] = {
				[0] = B["Omor the Unscarred"],
			},
			[3] = {
				[0] = B["Vazruden"],
			},
			[4] = {
				[0] = L["Trash"],
			},
			[5] = {
				[0] = L["Gems"],
				["OH"] = true
			},
			["hard"] = true,
		},
		[2] = {
			[0] = Z["The Blood Furnace"],
			[1] = {
				[0] = B["The Maker"],
			},
			[2] = {
				[0] = B["Broggok"],
			},
			[3] = {
				[0] = B["Keli'dan the Breaker"],
			},
			[4] = {
				[0] = L["Gems"],
				["OH"] = true
			},
			["hard"] = true,
		},
		[3] = {
			[0] = Z["The Shattered Halls"],
			[1] = {
				[0] = B["Grand Warlock Nethekurse"],
			},
			[2] = {
				[0] = B["Warbringer O'mrogg"],
			},
			[3] = {
				[0] = B["Warchief Kargath Bladefist"],
			},
			[4] = {
				[0] = L["Trash"],
			},
			[5] = {
				[0] = B["Blood Guard Porung"],
				["OH"] = true
			},
			[6] = {
				[0] = L["Gems"],
				["OH"] = true
			},
			["hard"] = true,
		},
		[4] = {
			[0] = Z["Magtheridon's Lair"],
			[1] = {
				[0] = B["Magtheridon"],
			},
		},
		[5] = {
			[0] = Z["The Slave Pens"],
			[1] = {
				[0] = B["Mennu the Betrayer"],
			},
			[2] = {
				[0] = B["Rokmar the Crackler"],
			},
			[3] = {
				[0] = B["Quagmirran"],
			},
			[4] = {
				[0] = L["Gems"],
				["OH"] = true
			},
			["hard"] = true,
		},
		[6] = {
			[0] = Z["The Underbog"],
			[1] = {
				[0] = B["Hungarfen"],
			},
			[2] = {
				[0] = B["Ghaz'an"],
			},
			[3] = {
				[0] = B["Swamplord Musel'ek"],
			},
			[4] = {
				[0] = B["The Black Stalker"],
			},
			[5] = {
				[0] = L["Gems"],
				["OH"] = true
			},
			["hard"] = true,
		},
		[7] = {
			[0] = Z["The Steamvault"],
			[1] = {
				[0] = B["Hydromancer Thespia"],
			},
			[2] = {
				[0] = B["Mekgineer Steamrigger"],
			},
			[3] = {
				[0] = B["Warlord Kalithresh"],
			},
			[4] = {
				[0] = L["Trash"],
			},
			[5] = {
				[0] = L["Gems"],
				["OH"] = true
			},
			["hard"] = true,
		},
		[8] = {
			[0] = Z["Serpentshrine Cavern"],
			[1] = {
				[0] = B["Hydross the Unstable"],
			},
			[2] = {
				[0] = B["The Lurker Below"],
			},
			[3] = {
				[0] = B["Leotheras the Blind"],
			},
			[4] = {
				[0] = B["Fathom-Lord Karathress"],
			},
			[5] = {
				[0] = B["Morogrim Tidewalker"],
			},
			[6] = {
				[0] = B["Lady Vashj"],
			},
			[7] = {
				[0] = L["Trash"],
			},
			[8] = {
				[0] = L["Recipe"],
			},
		},
		[9] = {
			[0] = Z["Mana-Tombs"],
			[1] = {
				[0] = B["Pandemonius"],
			},
			[2] = {
				[0] = B["Tavarok"],
			},
			[3] = {
				[0] = B["Nexus-Prince Shaffar"],
			},
			[4] = {
				[0] = L["Trash"],
			},
			[5] = {
				[0] = L["Yor"],
				["OH"] = true
			},
			[6] = {
				[0] = L["Gems"],
				["OH"] = true
			},
			["hard"] = true,
		},
		[10] = {
			[0] = Z["Auchenai Crypts"],
			[1] = {
				[0] = B["Shirrak the Dead Watcher"],
			},
			[2] = {
				[0] = B["Exarch Maladaar"],
			},
			[3] = {
				[0] = L["Trash"],
			},
			[4] = {
				[0] = L["Avatar of the Martyred"],
				["OH"] = true
			},
			[5] = {
				[0] = L["Gems"],
				["OH"] = true
			},
			["hard"] = true,
		},
		[11] = {
			[0] = Z["Sethekk Halls"],
			[1] = {
				[0] = B["Darkweaver Syth"],
			},
			[2] = {
				[0] = B["Talon King Ikiss"],
			},
			[3] = {
				[0] = L["Trash"],
			},
			[4] = {
				[0] = B["Anzu"],
			},
			[5] = {
				[0] = L["Gems"],
				["OH"] = true
			},
			["hard"] = true,
		},
		[12] = {
			[0] = Z["Shadow Labyrinth"],
			[1] = {
				[0] = B["Ambassador Hellmaw"],
			},
			[2] = {
				[0] = B["Blackheart the Inciter"],
			},
			[3] = {
				[0] = B["Grandmaster Vorpil"],
			},
			[4] = {
				[0] = B["Murmur"],
			},
			[5] = {
				[0] = L["Trash"],
			},
			[6] = {
				[0] = L["Gems"],
				["OH"] = true
			},
			["hard"] = true,
		},
		[13] = {
			[0] = Z["Gruul's Lair"],
			[1] = {
				[0] = B["Gruul the Dragonkiller"],
			},
			[2] = {
				[0] = B["High King Maulgar"],
			},
		},
		[14] = {
			[0] = Z["The Mechanar"],
			[1] = {
				[0] = "Cache of the Legion",
			},
			[2] = {
				[0] = B["Mechano-Lord Capacitus"],
			},
			[3] = {
				[0] = B["Nethermancer Sepethrea"],
			},
			[4] = {
				[0] = B["Pathaleon the Calculator"],
			},
			[5] = {
				[0] = L["Trash"],
			},
			[6] = {
				[0] = L["Gems"],
				["OH"] = true
			},
			["hard"] = true,
		},
		[15] = {
			[0] = Z["The Botanica"],
			[1] = {
				[0] = B["Commander Sarannis"],
			},
			[2] = {
				[0] = B["High Botanist Freywinn"],
			},
			[3] = {
				[0] = B["Thorngrin the Tender"],
			},
			[4] = {
				[0] = B["Laj"],
			},
			[5] = {
				[0] = B["Warp Splinter"],
			},
			[6] = {
				[0] = L["Trash"],
			},
			[7] = {
				[0] = L["Gems"],
				["OH"] = true
			},
			["hard"] = true,
		},
		[16] = {
			[0] = Z["The Arcatraz"],
			[1] = {
				[0] = B["Zereketh the Unbound"],
			},
			[2] = {
				[0] = B["Wrath-Scryer Soccothrates"],
			},
			[3] = {
				[0] = B["Dalliah the Doomsayer"],
			},
			[4] = {
				[0] = B["Harbinger Skyriss"],
			},
			[5] = {
				[0] = L["Trash"],
			},
			[6] = {
				[0] = L["Gems"],
				["OH"] = true
			},
			["hard"] = true,
		},
		[17] = {
			[0] = Z["Tempest Keep"],
			[1] = {
				[0] = B["Void Reaver"],
			},
			[2] = {
				[0] = B["Al'ar"],
			},
			[3] = {
				[0] = B["High Astromancer Solarian"],
			},
			[4] = {
				[0] = B["Kael'thas Sunstrider"],
			},
			[5] = {
				[0] = L["Phase2"],
			},
			[6] = {
				[0] = L["Trash"],
			},
		},
		[18] = {
			[0] = Z["Black Temple"],
			[1] = {
				[0] = B["High Warlord Naj'entus"],
			},
			[2] = {
				[0] = B["Supremus"],
			},
			[3] = {
				[0] = B["Shade of Akama"],
			},
			[4] = {
				[0] = B["Teron Gorefiend"],
			},
			[5] = {
				[0] = B["Reliquary of Souls"],
			},
			[6] = {
				[0] = B["Gurtogg Bloodboil"],
			},
			[7] = {
				[0] = B["Mother Shahraz"],
			},
			[8] = {
				[0] = B["Illidari Council"],
			},
			[9] = {
				[0] = B["Illidan Stormrage"],
			},
			[10] = {
				[0] = L["Trash"],
			},
			[11] = {
				[0] = L["Recipe"],
			},
		},
	},
}


WhatsFactionInfo = {
	[0] = L["Reputation"],
	[1] = {
		[0] = L["Original"],
		[1] = {
			[0] = F["Argent Dawn"],
		},
		[2] = {
			[0] = F["Zandalar Tribe"],
		},
		[3] = {
			[0] = F["Thorium Brotherhood"],
		},
		[4] = {
			[0] = F["Cenarion Circle"],
		},
		[5] = {
			[0] = F["Timbermaw Hold"],
		},
		[6] = {
			[0] = F["Darkmoon Faire"],
		},
		[7] = {
			[0] = F["Brood of Nozdormu"],
		},
	},
	[2] = {
		[0] = L["Burning Crusade"],
		[1] = {
			[0] = F["The Aldor"],
		},
		[2] = {
			[0] = F["The Scryers"],
		},
		[3] = {
			[0] = F["Honor Hold"],
		},
		[4] = {
			[0] = F["Thrallmar"],
		},
		[5] = {
			[0] = F["Cenarion Expedition"],
		},
		[6] = {
			[0] = F["The Sha'tar"],
		},
		[7] = {
			[0] = F["Lower City"],
		},
		[8] = {
			[0] = F["Keepers of Time"],
		},
		[9] = {
			[0] = F["The Mag'har"],
		},
		[10] = {
			[0] = F["Kurenai"],
		},
		[11] = {
			[0] = F["Sporeggar"],
		},
		[12] = {
			[0] = F["The Consortium"],
		},
		[13] = {
			[0] = F["The Scale of the Sands"],
		},
		[14] = {
			[0] = F["The Violet Eye"],
		},
		[15] = {
			[0] = F["Tranquillien"],
		},
		[16] = {
			[0] = F["Sha'tari Skyguard"],
		},
		[17] = {
			[0] = F["Netherwing"],
		},
		[18] = {
			[0] = F["Ashtongue Deathsworn"],
		},
	},
}

WhatsStandingInfo = {
	[4] = F["Neutral"],
	[5] = F["Friendly"],
	[6] = F["Honored"],
	[7] = F["Revered"],
	[8] = F["Exalted"],
}

WhatsArenaInfo = {
	[0] = L["Arena"],
	[1] = {
		[0] = string.format(L["Season %d"], 1),
	},
	[2] = {
		[0] = string.format(L["Season %d"], 2),
	},
	[3] = {
		[0] = string.format(L["Season %d"], 3),
	},
}

WhatsPointInfo = {
	[0] = L["PvP"],
	[1] = {
		[0] = L["Original"],
		[1] = {
			[0] = F["Horde"],
		},
		[2] = {
			[0] = F["Alliance"],
		},
	},
	[2] = {
		[0] = L["Burning Crusade"],
		[1] = {
			[0] = F["Horde"],
		},
		[2] = {
			[0] = F["Alliance"],
		},
	},
}

WhatsClassInfo = {
	[1] = {
		[0] = C["Warrior"],
	},
	[2] = {
		[0] = C["Paladin"],
		[1] = {
			[0] = P["Retribution"],
		},
		[2] = {
			[0] = P["Holy"].."-"..L["Spell Damage"],
		},
		[3] = {
			[0] = P["Holy"] .."-"..L["Healing"],
		},
	},
	[3] = {
		[0] = C["Shaman"],
		[1] = {
			[0] = P["Enhancement"],
		},
		[2] = {
			[0] = P["Elemental"],
		},
		[3] = {
			[0] = P["Restoration"],
		},
	},
	[4] = {
		[0] = C["Hunter"],
	},
	[5] = {
		[0] = C["Rogue"],
	},
	[6] = {
		[0] = C["Druid"],
		[1] = {
			[0] = P["Feral Combat"],
		},
		[2] = {
			[0] = P["Balance"],
		},
		[3] = {
			[0] = P["Restoration"],
		},
	},
	[7] = {
		[0] = C["Priest"],
		[1] = {
			[0] = P["Shadow"],
		},
		[2] = {
			[0] = P["Holy"],
		},
	},
	[8] = {
		[0] = C["Mage"],
	},
	[9] = {
		[0] = C["Warlock"],
		[1] = {
			[0] = L["Spell Damage"],
		},
		[2] = {
			[0] = L["Crits"],
		},
	},
}

WhatsBGInfo = {
	[0] = L["BattleGround"],
	[1] = {
		[0] = F["Frostwolf Clan"],
	},
	[2] = {
		[0] = F["Stormpike Guard"],
	},
	[3] = {
		[0] = F["The Defilers"],
	},
	[4] = {
		[0] = F["The League of Arathor"],
	},
	[5] = {
		[0] =F["Warsong Outriders"],
	},
	[6] = {
		[0] = F["Silverwing Sentinels"],
	},
}

WhatsExchangeInfo = {
	[0] = L["Exchange"],
	[1] = {
		[0] = L["Badge of Justice"],
	},
	[2] = {
		[0] = L["Spirit Shard"],
	},
	[3] = {
		[0] = L["Halaa"],
	},
	[4] = {
		[0] = F["Thrallmar"].."-"..L["Mark of Thrallmar"],
	},
	[5] = {
		[0] = F["Honor Hold"].."-"..L["Mark of Honor Hold"],
	},
	[6] = {
		[0] = Z["Zangarmarsh"].."-"..L["Mark of Thrallmar"],
	},
	[7] = {
		[0] = Z["Zangarmarsh"].."-"..L["Mark of Honor Hold"],
	},
	[8] = {
		[0] = F["Ogri'la"],
	}
}

WhatsExchangeNPCInfo = {
	[1] = L["G'eras"],
	[2] = L["Spirit Sage Gartok"].."/"..L["Spirit Sage Zran"],
	[3] = L["Halaa"],
	[4] = Z["Hellfire Peninsula"].." - "..L["Battlecryer Blackeye"],
	[5] = Z["Hellfire Peninsula"].." - "..L["Warrant Officer Tracy Proudwell"],
	[6] = Z["Zangarmarsh"].." - "..L["Horde Field Scout"],
	[7] = Z["Zangarmarsh"].."-"..L["Alliance Field Scout"],
	[8] = F["Ogri'la"],
}

WhatsItemType = {
	["B"] = I["Bag"],
	["B"] = I["Bag"],
	["BL"] = L["Leatherworking Bag"],
	["BE"] = L["Engineering Bag"],
	["BN"] = L["Enchanting Bag"],
	["BJ"] = L["Gem Bag"],
	["BH"] = L["Herb Bag"],
	["BS"] = L["Soul Bag"],
	["BM"] = L["Mining Bag"],
	["O"] = L["Others"],
	["OP"] = L["Mini Pet"],
	["OR"] = L["Reagent"],
	["OF"] = L["Festival"],
	["W"] = I["Weapon"],
	["WO"] = L["Others"],
	["WFp"] = I["Fishing Pole"],
	["WD"] = I["Daggers"],
	["WDh"] = I["Daggers"].." - "..I["Off Hand"],
	["WDm"] = I["Daggers"].." - "..I["Main Hand"],
	["WWd"] = I["Wand"],
	["WCb"] = I["Crossbow"],
	["WSt"] = I["Two-Handed Swords"],
	["WXt"] = I["Two-Handed Axes"],
	["WHt"] = I["Two-Handed Maces"],
	["WF"] = I["Fist Weapons"],
	["WFh"] = I["Fist Weapons"].." - "..I["Off Hand"],
	["WFm"] = I["Fist Weapons"].." - "..I["Main Hand"],
	["WPt"] = I["Polearms"],
	["WSf"] = I["Staff"],
	["WGn"] = I["Guns"],
	["WTh"] = I["Thrown"],
	["WSo"] = I["One-Handed Swords"],
	["WSh"] = I["One-Handed Swords"].." - "..I["Off Hand"],
	["WSm"] = I["One-Handed Swords"].." - "..I["Main Hand"],
	["WXo"] = I["One-Handed Axes"],
	["WXh"] = I["One-Handed Axes"].." - "..I["Off Hand"],
	["WXm"] = I["One-Handed Axes"].." - "..I["Main Hand"],
	["WHo"] = I["One-Handed Maces"],
	["WHh"] = I["One-Handed Maces"].." - "..I["Off Hand"],
	["WHm"] = I["One-Handed Maces"].." - "..I["Main Hand"],
	["WBw"] = I["Bows"],
	["A"] = L["Armor"],
	["AL"] = I["Leather"],
	["ALc"] = I["Leather"].." - "..I["Chest"],
	["ALl"] = I["Leather"].." - "..I["Legs"],
	["ALh"] = I["Leather"].." - "..I["Head"],
	["ALf"] = I["Leather"].." - "..I["Feet"],
	["ALn"] = I["Leather"].." - "..I["Hands"],
	["ALr"] = I["Leather"].." - "..I["Wrist"],
	["ALs"] = I["Leather"].." - "..I["Shoulder"],
	["ALw"] = I["Leather"].." - "..I["Waist"],
	["AO"] = L["Others"],
	["AN"] = I["Neck"],
	["AOa"] = I["Held in Off-Hand"],
	["AOi"] = I["Shirt"],
	["AF"] = I["Ring"],
	["AOr"] = I["Trinket"],
	["AS"] = I["Shield"],
	["AM"] = I["Mail"],
	["AMc"] = I["Mail"].." - "..I["Chest"],
	["AMl"] = I["Mail"].." - "..I["Legs"],
	["AMh"] = I["Mail"].." - "..I["Head"],
	["AMf"] = I["Mail"].." - "..I["Feet"],
	["AMn"] = I["Mail"].." - "..I["Hands"],
	["AMr"] = I["Mail"].." - "..I["Wrist"],
	["AMs"] = I["Mail"].." - "..I["Shoulder"],
	["AMw"] = I["Mail"].." - "..I["Waist"],
	["AB"] = I["Libram"],
	["AR"] = I["Idol"],
	["AC"] = I["Cloth"],
	["ACc"] = I["Cloth"].." - "..I["Chest"],
	["ACl"] = I["Cloth"].." - "..I["Legs"],
	["CO"] = I["Cloak"],
	["ACh"] = I["Cloth"].." - "..I["Head"],
	["ACf"] = I["Cloth"].." - "..I["Feet"],
	["ACn"] = I["Cloth"].." - "..I["Hands"],
	["ACr"] = I["Cloth"].." - "..I["Wrist"],
	["ACs"] = I["Cloth"].." - "..I["Shoulder"],
	["ACw"] = I["Cloth"].." - "..I["Waist"],
	["AT"] = I["Totem"],
	["AP"] = I["Plate"],
	["APc"] = I["Plate"].." - "..I["Chest"],
	["APl"] = I["Plate"].." - "..I["Legs"],
	["APh"] = I["Plate"].." - "..I["Head"],
	["APf"] = I["Plate"].." - "..I["Feet"],
	["APn"] = I["Plate"].." - "..I["Hands"],
	["APr"] = I["Plate"].." - "..I["Wrist"],
	["APs"] = I["Plate"].." - "..I["Shoulder"],
	["APw"] = I["Plate"].." - "..I["Waist"],
	["G"] = L["Gems"],
	["GY"] = L["Gems"].." - "..L["Yellow"],
	["GG"] = L["Gems"].." - "..L["Green"],
	["GL"] = L["Gems"].." - "..L["Prismatic"],
	["GV"] = L["Gems"].." - "..L["Purple"],
	["GM"] = L["Gems"].." - "..L["Meta"],
	["GN"] = L["Gems"],
	["GO"] = L["Gems"].." - "..L["Orange"],
	["GB"] = L["Gems"].." - "..L["Blue"],
	["GR"] = L["Gems"].." - "..L["Red"],
	["C"] = L["Consumable"],
	["CS"] = L["Scrolls"],
	["CP"] = I["Potion"],
	["CB"] = I["Bandage"],
	["CE"] = L["Elixir"],
	["CC"] = L["Consumable"],
	["CI"] = L["Item Enchant"],
	["CF"] = L["Flask"],
	["CK"] = I["Food"].." & "..I["Drink"],
	["K"] = I["Key"],
	["R"] = L["Reagent"],
	["E"] = L["Recipe"],
	["EL"] = L["Recipe"].." - "..L["Leatherworking"],
	["EE"] = L["Recipe"].." - "..L["Engineering"],
	["EF"] = L["Recipe"].." - "..L["Fishing"],
	["EB"] = L["Recipe"].." - "..L["Blacksmithing"],
	["EN"] = L["Recipe"].." - "..L["Enchanting"],
	["EJ"] = L["Recipe"].." - "..L["Jewelcrafting"],
	["EA"] = L["Recipe"].." - "..L["Alchemy"],
	["EC"] = L["Recipe"].." - "..L["Cooking"],
	["ED"] = L["Recipe"].." - "..L["First Aid"],
	["ET"] = L["Recipe"].." - "..L["Tailoring"],
	["EK"] = L["Book"],
	["D"] = L["Trade Goods"],
	["Q"] = L["Quest"],
	["F"] = L["Projectile"],
	["FP"] = I["Bullet"],
	["FA"] = I["Arrow"],
	["H"] = I["Quiver"],
	["HP"] = I["Ammo Pouch"],
	["HA"] = I["Quiver"],
}

WhatsItemMenu = {
	["B"] = I["Bag"],
	["B"] = I["Bag"],
	["BL"] = I["Bag"],
	["BE"] = I["Bag"],
	["BN"] = I["Bag"],
	["BJ"] = I["Bag"],
	["BH"] = I["Bag"],
	["BS"] = I["Bag"],
	["BM"] = I["Bag"],
	["O"] = L["Others"],
	["OP"] = L["Mini Pet"],
	["OR"] = L["Reagent"],
	["OF"] = L["Festival"],
	["W"] = I["Weapon"],
	["WO"] = I["Weapon"],
	["WFp"] = I["Fishing Pole"],
	["WD"] = I["One-Hand"].." "..I["Weapon"],
	["WDh"] = I["Off Hand"],
	["WDm"] = I["One-Hand"].." "..I["Weapon"],
	["WWd"] = L["Range Weapon"],
	["WCb"] = L["Range Weapon"],
	["WSt"] = I["Two-Hand"].." "..I["Weapon"],
	["WXt"] = I["Two-Hand"].." "..I["Weapon"],
	["WHt"] = I["Two-Hand"].." "..I["Weapon"],
	["WF"] = I["One-Hand"].." "..I["Weapon"],
	["WFh"] = I["Off Hand"],
	["WFm"] = I["One-Hand"].." "..I["Weapon"],
	["WPt"] = I["Two-Hand"].." "..I["Weapon"],
	["WSf"] = I["Two-Hand"].." "..I["Weapon"],
	["WGn"] = L["Range Weapon"],
	["WTh"] = L["Range Weapon"],
	["WSo"] = I["One-Hand"].." "..I["Weapon"],
	["WSh"] = I["Off Hand"],
	["WSm"] = I["One-Hand"].." "..I["Weapon"],
	["WXo"] = I["One-Hand"].." "..I["Weapon"],
	["WXh"] = I["Off Hand"],
	["WXm"] = I["One-Hand"].." "..I["Weapon"],
	["WHo"] = I["One-Hand"].." "..I["Weapon"],
	["WHh"] = I["Off Hand"],
	["WHm"] = I["One-Hand"].." "..I["Weapon"],
	["WBw"] = L["Range Weapon"],
	["A"] = L["Armor"],
	["AL"] = I["Leather"],
	["ALc"] = I["Leather"],
	["ALl"] = I["Leather"],
	["ALh"] = I["Leather"],
	["ALf"] = I["Leather"],
	["ALn"] = I["Leather"],
	["ALr"] = I["Leather"],
	["ALs"] = I["Leather"],
	["ALw"] = I["Leather"],
	["AO"] = L["Others"],
	["AN"] = I["Neck"],
	["AOa"] = I["Held in Off-Hand"],
	["AOi"] = I["Shirt"],
	["AF"] = I["Ring"],
	["AOr"] = I["Trinket"],
	["AS"] = I["Shield"],
	["AM"] = I["Mail"],
	["AMc"] = I["Mail"],
	["AMl"] = I["Mail"],
	["AMh"] = I["Mail"],
	["AMf"] = I["Mail"],
	["AMn"] = I["Mail"],
	["AMr"] = I["Mail"],
	["AMs"] = I["Mail"],
	["AMw"] = I["Mail"],
	["AB"] = I["Relic"],
	["AR"] = I["Relic"],
	["AC"] = I["Cloth"],
	["ACc"] = I["Cloth"],
	["ACl"] = I["Cloth"],
	["CO"] = I["Cloak"],
	["ACh"] = I["Cloth"],
	["ACf"] = I["Cloth"],
	["ACn"] = I["Cloth"],
	["ACr"] = I["Cloth"],
	["ACs"] = I["Cloth"],
	["ACw"] = I["Cloth"],
	["AT"] = I["Relic"],
	["AP"] = I["Plate"],
	["APc"] = I["Plate"],
	["APl"] = I["Plate"],
	["APh"] = I["Plate"],
	["APf"] = I["Plate"],
	["APn"] = I["Plate"],
	["APr"] = I["Plate"],
	["APs"] = I["Plate"],
	["APw"] = I["Plate"],
	["G"] = L["Gems"],
	["GY"] = L["Gems"],
	["GG"] = L["Gems"],
	["GL"] = L["Gems"],
	["GV"] = L["Gems"],
	["GM"] = L["Gems"],
	["GN"] = L["Gems"],
	["GO"] = L["Gems"],
	["GB"] = L["Gems"],
	["GR"] = L["Gems"],
	["C"] = L["Consumable"],
	["CS"] = L["Scrolls"],
	["CP"] = I["Potion"],
	["CB"] = I["Bandage"],
	["CE"] = L["Elixir"],
	["CC"] = L["Consumable"],
	["CI"] = L["Item Enchant"],
	["CF"] = L["Flask"],
	["CK"] = I["Food"].." & "..I["Drink"],
	["K"] = I["Key"],
	["R"] = L["Reagent"],
	["E"] = L["Recipe"],
	["EL"] = L["Recipe"].." - "..L["Leatherworking"],
	["EE"] = L["Recipe"].." - "..L["Engineering"],
	["EF"] = L["Recipe"].." - "..L["Fishing"],
	["EB"] = L["Recipe"].." - "..L["Blacksmithing"],
	["EN"] = L["Recipe"].." - "..L["Enchanting"],
	["EJ"] = L["Recipe"].." - "..L["Jewelcrafting"],
	["EA"] = L["Recipe"].." - "..L["Alchemy"],
	["EC"] = L["Recipe"].." - "..L["Cooking"],
	["ED"] = L["Recipe"].." - "..L["First Aid"],
	["ET"] = L["Recipe"].." - "..L["Tailoring"],
	["EK"] = L["Book"],
	["D"] = L["Trade Goods"],
	["Q"] = L["Quest"],
	["F"] = L["Projectile"],
	["FP"] = L["Projectile"],
	["FA"] = L["Projectile"],
	["H"] = I["Quiver"],
	["HP"] = I["Quiver"],
	["HA"] = I["Quiver"],
}

WhatsMainMenu = {
	[0] = "|CFF00CED1W|r|CFFFFFFFFhats|r",
	[1] = WhatsMobInfo,
	[2] = WhatsExchangeInfo,
	[3] = WhatsFactionInfo,
	[4] = WhatsArenaInfo,
	[5] = WhatsBGInfo,
	[6] = WhatsPointInfo,
}
